apiVersion: apps/v1
kind: Deployment
metadata:
  name: frontend-app
spec:
  template:
    metadata:
      labels:
        app: frontend-app
    spec:
      containers:
        - name: frontend-app
          image: shubhamkalsait1/frontend-app:latest
          ports:
            - name: http
              protocol: TCP
              containerPort: 80
          resources:
            requests:
              memory: "64Mi"
              cpu: "250m"
            limits:
              memory: "128Mi"
              cpu: "500m"  
  replicas: 2
  selector:
    matchLabels:
      app: frontend-app
  strategy:
    type: RollingUpdate